As of April 16, 2020 SARS-CoV-2 Response

We are committed to the safety and health of all Worldwide Employees and Customers and will be following all guidelines of the World Health Organization (WHO), Centers for Disease Control and Prevention (CDC), Public Health England and applicable local governments. During this time all our global teams will be following Work-From-Home directives and will continue to work normal business hours. We apologize for any delay in responses and appreciate your understanding.

System Requirements

Go Integrator PC Client

Supported Operating Systems

  • Windows 10 (Desktop mode)
32 bit and 64 bit Click here for supported Citrix and Terminal Services

Minimum Hardware Requirements

  • 1.8 GHz Pentium-class processor
  • SVGA display
  • 2GB Memory
  • 1GB free hard drive space
  • Network adapter connected to a TCP/IP network
  • Keyboard and mouse

Note: ultra-wide monitors not supported

Recommended Maximum Extensions

50 extensions


Go Integrator Mac Client

Supported Operating Systems

  • macOS Version 10.15:Catalina
  • macOS Version 10.14:Mojave
  • macOS Version 10.13:High Sierra
  • macOS Version 10.12:Sierra

Minimum Hardware Requirements

  • Mac with an Intel processor
  • SVGA display
  • 1GB Memory
  • 1GB free hard drive space
  • Network adapter connected to a TCP/IP network
  • Keyboard and mouse

Recommended Maximum Extensions

50 extensions


Go Operator PC Client

Supported Operating Systems

  • Windows 10 (Desktop mode)
32 bit and 64 bit Citrix and Terminal Services not supported

Minimum Hardware Requirements

  • 1.8 GHz Pentium-class processor
  • SVGA display
  • 2GB Memory
  • 1GB free hard drive space
  • Network adapter connected to a TCP/IP network
  • Keyboard and mouse

Recommended Maximum Extensions Supported

Up to 250 extensions


Go Wallboard PC Client

Supported Operating Systems

  • Windows 10 (Desktop mode)
32 bit and 64 bit Citrix and Terminal Services not supported

Minimum Hardware Requirements

  • 1.8 GHz Pentium-class processor
  • Full HD (1080P) display
  • 2GB Memory
  • 1GB free hard drive space
  • Network adapter connected to a TCP/IP network
  • Keyboard and mouse

Networking Requirements

  • API TCP port 9000
  • Browser mirror by default port 8080
For AWS/Azure instances you must open the relevant port on the AWS/Azure firewall as well Modify firewall to allow remote browser connection

Go TAPI PC Client

Note:By default, Call Forward and DND are not supported by Go TAPI. Please contact your supplier if support for these features is required.

Supported Operating Systems

  • Windows 10 (Desktop mode)
32 bit and 64 bit Click here for supported Citrix and Terminal Services

Minimum Hardware Requirements

  • 1.8 GHz Pentium-class processor
  • SVGA display
  • 2GB Memory
  • 1GB free hard drive space
  • Network adapter connected to a TCP/IP network
  • Keyboard and mouse

Go Integrator Chrome Extension

Supported Operating Systems

  • Windows 10 (Desktop mode)
  • macOS
  • Chromebook

Supported Browsers

  • Google Chrome 

License Type

  • Go Integrator DB

Salesforce Adapter

Supported Operating Systems

  • Windows 10 (Desktop mode)

Supported Browsers

  • Microsoft Edge
  • Google Chrome
  • Mozilla Firefox
  • Opera
  • Safari

License Type

  • Go Integrator DB

Web Dialing

Supported versions

Browser Supported versions Extension / Add-on
Internet Explorer (PC) 11 * Telephone Number Detection 1.1.0
Microsoft Edge 44.X Telephone Number Detection 1.2.2
Google Chrome (PC and Mac) 77.X Telephone Number Detection 1.2.2
Mozilla Firefox (PC) 69.X Telephone Number Detection 1.2.2
Opera (PC and Mac) 64 Telephone Number Detection 1.2.2
Safari (Mac) 11.0 Telephone Number Detection 1.2.2

*Microsoft security patch MS14-080 stops web-page dialing working with IE11. Please contact the support desk if you are experiencing this issue.


Skype for Business

Supported versions

  • Skype for Business 2015 and 2016 client

UC-one

Supported versions

  • UC-one (SaaS) Version 3.7.5
  • UC-one Version 22.6.0

Microsoft Components

Supported versions

  • .NET 4.5 Framework (required and shipped with software).